Bug 1383653 - Middleware - Support of MariaDB Datasource type
Summary: Middleware - Support of MariaDB Datasource type
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.8.0
Assignee: Jirka Kremser
QA Contact: Hayk Hovsepyan
URL:
Whiteboard: Hawkular
Depends On: 1383611
Blocks: 1396239
TreeView+ depends on / blocked
 
Reported: 2016-10-11 11:24 UTC by Hayk Hovsepyan
Modified: 2017-08-29 04:43 UTC (History)
11 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1396239 (view as bug list)
Environment:
Last Closed: 2017-06-12 17:02:24 UTC
Category: ---
Cloudforms Team: Middleware
Target Upstream Version:
mmahoney: needinfo+


Attachments (Terms of Use)

Description Hayk Hovsepyan 2016-10-11 11:24:39 UTC
Description of problem:
EAP7 supports MariaDB database as both XA and non-XA Datasources.

Requesting to have MariaDB database type creation support in CFME Middleware Datasources as well.

Version-Release number of selected component (if applicable):
5.7.0.4-alpha1.20161005153002_cfc8a23

Comment 3 John Doyle 2016-10-11 19:56:17 UTC
Yes, let's get this in.

Comment 4 Mike Thompson 2016-10-18 22:35:45 UTC
Driver string params are located here: https://github.com/MariaDB/mariadb-connector-j/blob/master/documentation/use-mariadb-connector-j-driver.creole

Comment 5 Heiko W. Rupp 2016-10-28 08:43:04 UTC
Mike, what is the status here?

Comment 6 Mike Thompson 2016-11-03 03:03:32 UTC
Status was in the queue after 2 other BZs. This is a simple fix just configuring a JS config object with MariaDB : 
https://github.com/mtho11/manageiq/blob/920fbdf6062d6034365a76352da508a0660fc336/app/assets/javascripts/controllers/middleware_datasource/middleware_datasource_service.js#L26-L26

MariaDB XA Datasource waiting on completion of: https://bugzilla.redhat.com/show_bug.cgi?id=1383611

Comment 7 Jirka Kremser 2016-11-08 11:56:32 UTC
PR https://github.com/ManageIQ/manageiq/pull/12497

btw. MariaDB and MySql jdbc drivers can be used interchangeably (afaik)

Comment 9 Hayk Hovsepyan 2017-02-09 16:55:45 UTC
Verified on revision 5.8.0.0


Note You need to log in before you can comment on or make changes to this bug.